Subject: Re: bug#9516: imagemagick-register-types and image-file-name-extensions

From: Chong Yidong <[email-masked]>
Date: Fri, 23 Sep 2011 17:34:07 -0400

Juri Linkov <[email-masked]> writes:

> It seems image-file.el is semi-obsoleted by image-mode.el,
> so it should use more general settings from image-type-file-name-regexps.
> And other packages should be fixed to use more general settings
> from image.el instead of relying on definitions from image-file.el.

Sounds right, though I think that can wait till post-release.

Please go ahead and commit your patch (with the regexp-quote).